## swarm 2.1.1-1

=== debian/changelog ===
swarm (2.1.1-1) unstable; urgency=low

  * Initial release.

 -- Marcus G. Daniels <mgd@swarm.org>  Wed, 23 Feb 2000 19:23:00 -0700

Local variables:
mode: debian-changelog
End:
