=== debian/control ===
Source: swarm
Section: devel
Priority: optional
Maintainer: Marcus G. Daniels <mgd@swarm.org>
Standards-Version: 3.0.0

Package: swarm
Architecture: any
Depends: libc6 (>= 2.1.2), tcl8.2, tk8.2, blt82, blt82-dev, hdf5 (>= 1.2.1), hdf5-dev (>= 1.2.1), kaffe, xpm4g, xpm4g-dev, zlib1g, zlib1g-dev, libpng2, libpng2-dev
Description: Simulation Toolkit
